Skip to content

Batch Delete

POST
/api/v1/files/batch-delete
curl --request POST \
--url https://aura.strangeworks.com/api/v1/files/batch-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "deployment_name": "example", "paths": [ "example" ], "project_id": "example", "snapshot_id": "example", "source": "deployment" }'
Media typeapplication/json
FileBatchDeleteRequest
object
deployment_name
Any of:
string
paths
required
Paths
Array<string>
project_id
Any of:
string
snapshot_id
Any of:
string
source
required
Source
string
Allowed values: deployment workspace snapshot

Successful Response

Media typeapplication/json
DeleteResponse
object
deleted
required
Deleted
integer
Examplegenerated
{
"deleted": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}